LILOCONFIG(8)

NAME
liloconfig - create new lilo.conf file (with diskid and uuid)

SYNOPSIS
liloconfig [-h] [-v] [-f] [-u] [lilo.conf]

DESCRIPTION
liloconfig is an simple program for creating a new lilo.conf file. After creating the new configuration file you must execute '/sbin/lilo'.

liloconfig use the lilo.example.conf file as template. In the final lilo.conf file you find many useful comments for custom changes.

Please pay attention about error messages if liloconfig cannot find any images (/boot/vmlinuz*) oder image symlinks (/vmlinuz, /vmlinu.old). Then you need to search for images by ourself and make some changes in the '/etc/lilo.conf' file. Otherwise no bootloader can be installed with '/sbin/lilo'.

OPTIONS

-h  Print a brief help.

-v  Print verbose messages.

-f  Force overriding existing lilo.conf.

-u  Force overriding/update of boot line in lilo.conf.

EXAMPLES
Lines in the configuration file /etc/lilo.conf:

  ### LILO global section ###

  #large-memory
  lba32
  #boot = /dev/sda
  boot = /dev/disk/by-id/ata-SAMSUNG_SV1604N_S01FJ10X999999
  #root = /dev/sda1
  root = "UUID=18843936-00f9-4df0-a373-000d05a5dd44"
  map = /boot/map
  install = menu
  menu-scheme = Wb:Yr:Wb:Wb
  prompt
  timeout = 100
  vga = normal
  #password =
  #default = Linux

  ### LILO per-image section ###

  image = /boot/vmlinuz-3.17-trunk-686
      label = "Linux"
      #root = /dev/sda1
      #root = "UUID=18843936-00f9-4df0-a373-000d05a5dd44"
      read-only
  #   restricted
  #   alias = 1
  #   optional
      initrd = /boot/initrd.img-3.17-trunk-686

  image = /boot/vmlinuz-3.14-trunk-686
      label = "Linux Old"
      #root = /dev/sda1
      #root = "UUID=18843936-00f9-4df0-a373-000d05a5dd44"
      read-only
  #   restricted
  #   alias = 2
  #   optional
      initrd = /boot/initrd.img-3.14-trunk-686

COPYRIGHT and LICENSE
Copyright (C) 2011-2015 Joachim Wiedorn

This script is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

AUTHOR
liloconfig was written by Joachim Wiedorn.

This manual page was written by Joachim Wiedorn <joodevel at joonet.de>.

SEE ALSO
lilo(8), update-lilo(8), lilo-uuid-diskid(8)